curl --request POST \
--url 'https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_lkf2st302ap89utw5k&include_errors=true' \
--header "Authorization: Bearer YOUR_API_KEY" \
--header "Content-Type: application/json" \
--data '{"input": [{"url": "https://www.tiktok.com/@mrbeast/video/7553300000000000000"}]}'[
{
"post_url": "https://www.tiktok.com/@examplecreator/video/7553300000000000000",
"post_id": "7553300000000000000",
"post_date_created": "2025-01-15T14:30:00.000Z",
"date_created": "2025-01-15T16:45:00.000Z",
"comment_text": "This is amazing content!",
"num_likes": 1250,
"num_replies": 15,
"comment_id": "7553400000000000000",
"comment_url": "https://www.tiktok.com/@examplecreator/video/7553300000000000000?comment=7553400000000000000",
"commenter_user_name": "viewer123",
"commenter_id": "456789012",
"commenter_url": "https://www.tiktok.com/@viewer123"
}
]
TikTok
Collect TikTok comments by URL
Use the Bright Data Web Scraper API to collect TikTok comments by URL. Calls the POST /datasets/v3/scrape endpoint and returns a snapshot ID.
POST
/
datasets
/
v3
/
scrape
curl --request POST \
--url 'https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_lkf2st302ap89utw5k&include_errors=true' \
--header "Authorization: Bearer YOUR_API_KEY" \
--header "Content-Type: application/json" \
--data '{"input": [{"url": "https://www.tiktok.com/@mrbeast/video/7553300000000000000"}]}'[
{
"post_url": "https://www.tiktok.com/@examplecreator/video/7553300000000000000",
"post_id": "7553300000000000000",
"post_date_created": "2025-01-15T14:30:00.000Z",
"date_created": "2025-01-15T16:45:00.000Z",
"comment_text": "This is amazing content!",
"num_likes": 1250,
"num_replies": 15,
"comment_id": "7553400000000000000",
"comment_url": "https://www.tiktok.com/@examplecreator/video/7553300000000000000?comment=7553400000000000000",
"commenter_user_name": "viewer123",
"commenter_id": "456789012",
"commenter_url": "https://www.tiktok.com/@viewer123"
}
]
Query Parameters
string
default:"gd_lkf2st302ap89utw5k"
required
The dataset ID used for this request.
Must be set to
gd_lkf2st302ap89utw5k to collect Comments by URL data.boolean
default:false
Whether to send notifications when the request is completed.
boolean
default:true
Whether to include errors in the response.
Request Body
object[]
required
[
{
"post_url": "https://www.tiktok.com/@examplecreator/video/7553300000000000000",
"post_id": "7553300000000000000",
"post_date_created": "2025-01-15T14:30:00.000Z",
"date_created": "2025-01-15T16:45:00.000Z",
"comment_text": "This is amazing content!",
"num_likes": 1250,
"num_replies": 15,
"comment_id": "7553400000000000000",
"comment_url": "https://www.tiktok.com/@examplecreator/video/7553300000000000000?comment=7553400000000000000",
"commenter_user_name": "viewer123",
"commenter_id": "456789012",
"commenter_url": "https://www.tiktok.com/@viewer123"
}
]
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Must be gd_lkf2st302ap89utw5k for this dataset.
Send notifications when the request is completed.
Include errors in the response.
Body
application/json
Array of input objects. See Request Body below for the supported fields.
Show child attributes
Show child attributes
Response
200 - application/json
OK. See response example below the parameters.
Was this page helpful?